installing JMRI

Hi All,
I would like to install the JMRI suite of programs for the garden railway layout.
Can anyone help me. I have a folder in Downloads called JMRI.3.4-r23744.tgz but that is as far as I dare to go.
I would like the tutorials etc. but will see what happens when/if I get this running.
Thanks for looking…

take care
Don W

It would have to be compiled to run on your system (something I know little about) but if you right click on the file and extract it there is sometimes a README with instructions for installations, might be worth having a look

Good luck

Graeme

It’s a java app so doesn’t need compiling … right click on that JMRI.3.4-r23744.tgz file and select “Extract Here” … you’ll then find a folder called JMRI, enter it … now click on the application called DecoderPro … the application should start.

Thanks Guys.
Mark, it opened with an error message but it seems to run ok.
I will download the the Panel Layout tutorial and the Decoder tutorial and see what happens.
Thanks again

take care
Don W

it may be that you have the opensource version of JAVA instead of the Oracle version

If you have problems, we’ll look into that.

Hi Mark,
I downloaded the tutorials and had a look inside the JMRI folder.
There are various executable files within this folder and I chose Panel Pro as I am doing the Panel tutorial.
When the programme opened it came up with the JMRI Help box and the Panel Pro box.
I can expan/contract and minimise these boxes but I can’t close them or Quit.
I ran the InstallTest exe file and it confirmed I am running Java 1.6.
I am now stuck, should I have ran these in a terminal window ?
I will post this and shut down the computer while i check out the windross mail>

take care
don w

OK, so you’re on java 1.6 … still probably the open sourced version and not the sun/oracle version :wink:

What’s the output from:

update-alternatives --display java

?

Hi Mark

java - auto mode
link currently points to /usr/lib/jvm/java-6-openjdk-i386/jre/bin/java
/usr/lib/jvm/java-6-openjdk-i386/jre/bin/java - priority 1061
slave java.1.gz: /usr/lib/jvm/java-6-openjdk-i386/jre/man/man1/java.1.gz
Current ‘best’ version is ‘/usr/lib/jvm/java-6-openjdk-i386/jre/bin/java’.

Sorry about this Mark but all seems to be well again.
I have run Decoder Pro and set Preferences, then I ran Panel Pro and confirmed Preferences and everything seems to be ok.

take care
Don W
PS Thanks for the help, I will ( probably ) be back

If you decide you want to try Oracle Java 8 (bearing in mind the security issues)

sudo add-apt-repository ppa:webupd8team/java

then

sudo apt-get update

then

sudo apt-get install oracle-java8-installer

then

sudo apt-get install oracle-java8-set-default

Then post the output from:

java -version

and

javac -version

and

update-alternatives --display java

Also go here:
http://www.java.com/en/download/testjava.jsp
and check it says you’re running Java SE 8

I have no idea how to test if JMRI works … but I just tested it with Oracle Java 8 and all the menu items seem to work.

That said, if it’s working in the open source java … stick with that, it’s more secure.

Hi Mark,
I have been running the Panel Pro this afternoon and have just completed the first tutorial.
Everything is ok at the moment.
I did read your message and tried to test java but it said I needed to install a plugin, so I have left it alone for the moment.
Thanks again for your help.

take care
Don W